stonexx / teamscala

Teamscala Project

GitHub

Teamscala Project Build Status

Installation

Add scala version to your project build.sbt (only supports scala 2.11):

scalaVersion := "2.11.8"

Add resolver to project build.sbt:

resolvers += Resolver.jcenterRepo

If you need play-anorm support, add dependency:

libraryDependencies += "io.teamscala" %% "play-anorm" % "0.6.5-M1-1"

If you need play-slick support, add dependency:

libraryDependencies += "io.teamscala" %% "play-slick" % "0.6.5-M1-1"

If you need play-slick-jdbc-adapter support, add dependency:

libraryDependencies += "io.teamscala" %% "play-slick-jdbc-adapter" % "0.6.5-M1-1"

If you need play-util support, add dependency:

libraryDependencies += "io.teamscala" %% "play-util" % "0.6.5-M1-1"

If you need slick-ext support, add dependency:

libraryDependencies += "io.teamscala" %% "slick-ext" % "0.6.5-M1-1"

If you need slick-pg support, add dependency:

libraryDependencies += "io.teamscala" %% "slick-pg" % "0.6.5-M1-1"

If you need scala-util support, add dependency:

libraryDependencies += "io.teamscala" %% "scala-util" % "0.6.5-M1-1"